### Class

# Ide ToolchainManager

#### Description

    final class Ide.ToolchainManager : Ide.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Implements

- GAsyncInitable
- GListModel

#### Functions

###### ide_toolchain_manager_from_context

No description available.

Available since: 3.32

#### Instance methods

###### ide_toolchain_manager_get_toolchain

Gets the toolchain by its internal identifier.

Available since: 3.32

###### ide_toolchain_manager_is_loaded

Gets whether all the `IdeToolchainProvider` implementations are loaded and have registered all their `IdeToolchain`.

Available since: 3.32

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GAsyncInitable (3)

###### g_async_initable_init_async

Starts asynchronous initialization of the object implementing the interface. This must be done before any real use of the object after initial construction. If the object also implements `GInitable` you can optionally call `g_initable_init()` instead.

Available since: 2.22

###### g_async_initable_init_finish

Finishes asynchronous initialization and returns the result. See g_async_initable_init_async().

Available since: 2.22

###### g_async_initable_new_finish

Finishes the async construction for the various g_async_initable_new calls, returning the created object or `NULL` on error.

Available since: 2.22

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

Available since: 2.44

###### g_list_model_get_item_type

Gets the type of the items in `list`.

Available since: 2.44

###### g_list_model_get_n_items

Gets the number of items in `list`.

Available since: 2.44

###### g_list_model_get_object

Get the item at `position`.

Available since: 2.44

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

Available since: 2.44

#### Properties

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### Gio.ListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

Available since: 2.44

#### Class structure

    struct IdeToolchainManagerClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.